aboutsummaryrefslogtreecommitdiffstats
path: root/rc.d/rc.sysinit
diff options
context:
space:
mode:
Diffstat (limited to 'rc.d/rc.sysinit')
-rwxr-xr-xrc.d/rc.sysinit4
1 files changed, 4 insertions, 0 deletions
diff --git a/rc.d/rc.sysinit b/rc.d/rc.sysinit
index 061b2309..df697ab4 100755
--- a/rc.d/rc.sysinit
+++ b/rc.d/rc.sysinit
@@ -266,6 +266,10 @@ if [ -n "$USEMODULES" ]; then
if grep -s -q "^alias sound " /etc/conf.modules ; then
action "Loading sound module" modprobe sound
fi
+ # Get mixer settings
+ if [ $? -eq 0 -a -f /etc/.aumixrc ]; then
+ action "Loading mixer settings" /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null
+ fi
if grep -s -q "^alias midi " /etc/conf.modules ; then
action "Loading midi module" modprobe midi
fi